Attribute VB_Name = "modCusCtrl"
Type NMHDR
    hwndFrom        As Long
    idfrom          As Long
    code            As Long
End Type

Type WindowColor
  lpnmh             As NMHDR
  strColor          As String * 16
End Type

Public Const WM_NOTIFY = &H4E
Public Const WS_CHILD = &H40000000
Public Const WS_VISIBLE = &H10000000
Public Const MY_CUSTOM_MESSAGE = 1500
Public Const MY_CUS_MSG_LBUTTON_DOWN = 1505
Public Const MY_CUSTOM_CONTROL = 2000
Public Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Public Declare Function FreeLibrary Lib "kernel32" (ByVal hLib As Long) As Long
Public Declare Sub ccCrackPointer Lib "dllCustomControlServer" (ByVal lParam As Long, ByRef wc As WindowColor)
Public Declare Function blnInitialize Lib "dllCustomControlServer" () As Long
Public hDll As Long
Public hCus As Long

Public Declare Function CreateWindowEx Lib "user32" Alias "CreateWindowExA" _
( _
  ByVal dwExStyle As Long, _
  ByVal lpClassName As String, _
  ByVal lpWindowName As String, _
  ByVal dwStyle As Long, _
  ByVal x As Long, _
  ByVal y As Long, _
  ByVal nWidth As Long, _
  ByVal nHeight As Long, _
  ByVal hWndParent As Long, _
  ByVal hMenu As Long, _
  ByVal hInstance As Long, _
  lpParam As Any _
) As Long

Declare Function CallWindowProc Lib "user32" Alias "CallWindowProcA" _
( _
  ByVal lpPrevWndFunc As Long, _
  ByVal hWnd As Long, _
  ByVal Msg As Long, _
  ByVal wParam As Long, _
  ByVal lParam As Long _
) As Long

Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" _
( _
  ByVal hWnd As Long, _
  ByVal nIndex As Long, _
  ByVal dwNewLong As Long _
) As Long

Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
( _
  ByVal hWnd As Long, _
  ByVal wMsg As Long, _
  ByVal wParam As Long, _
  ByVal lParam As Long _
) As Long

Public Const GWL_WNDPROC = -4
Public lpPrevWndProc As Long
Public Function fnWinProc(ByVal hw As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
  Select Case wMsg
    Case WM_NOTIFY
      If wParam = MY_CUSTOM_CONTROL Then
         Dim wc As WindowColor
         Call ccCrackPointer(lParam, wc)
         MsgBox _
         ( _
           "Received Message From:" & vbCrLf & _
           "      hWnd = " & CStr(wc.lpnmh.hwndFrom) & vbCrLf & _
           "      idFrom = " & CStr(wc.lpnmh.idfrom) & vbCrLf & _
           "      code = " & CStr(wc.lpnmh.code) & vbCrLf & _
           "      strColpr = " & wc.strColor _
         )
      End If
  End Select
      
  fnWinProc = CallWindowProc(lpPrevWndProc, hw, wMsg, wParam, lParam)
End Function


